#include <LiquidCrystal.h>

// initialize the library by associating any needed LCD interface pin
// with the arduino pin number it is connected to
const int rs = 2, en = 3, d4 = 4, d5 = 5, d6 = 6, d7 = 7;
LiquidCrystal lcd(rs, en, d4, d5, d6, d7);

#define relay  8
#define key_up    13
#define key_down  12

float temp;
unsigned char temp_rond;
unsigned char set_temp=20;

void setup()
{      
  pinMode(key_up,INPUT_PULLUP);
  pinMode(key_down,INPUT_PULLUP);
  pinMode(relay,OUTPUT);
  
  digitalWrite(relay,HIGH);//default relay OFF
  
  lcd.begin(16, 2);
  lcd.print("temprature Relay");

  //analogReference(EXTERNAL);
  delay(1500);
}


void loop()
{
 delay(500);
 temp=analogRead(0);
 temp=temp*0.48828;/// for 5v refrence
 temp_rond=temp;
 lcd.clear();
 lcd.print("Temp:      ");
 lcd.print(temp_rond);
 lcd.print(" C");
 
 if (temp_rond>set_temp) digitalWrite(relay,HIGH); else digitalWrite(relay,LOW);
  
 if(digitalRead(key_up)==0) set_temp++;
 if(digitalRead(key_down)==0) set_temp--;
 lcd.setCursor(0,1);
 lcd.print("SET RELAY: ");
 lcd.print(set_temp); 
 lcd.print(" C");
}
